%define upstream_name Module-Build-XSUtil
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    A Module::Build class for building XS modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Cwd::Guard)
BuildRequires: perl(Cwd::Guard)
BuildRequires: perl(Devel::CheckCompiler) >= 0.20.0
BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Module::Build::XSUtil is subclass of Module::Build for support
building XS modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.160.0-4pclos2017
- rebuild against updates

